Epic # 68397 (In Progress): Make TYPO3 work with MySQL strict mode

Status: Resolved Priority: Should have
Author: Philipp Gampe Category: DBAL
Created: 2015-05-29 Assigned To: Morton Jonuschat
Updated: 2015-07-21 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Impossible to save to tt_content
Description

There seems to be a flaw in the SQL definition for the tt_content table.

The current definition is filelink_sorting tinytext NOT NULL,, however it should have a DEFAULT '' clause.

This might only happen on SQL strict mode.

I did not actually reproduce it, but note it here so it does not get lost:
http://stackoverflow.com/questions/30484041/typo3-sorry-you-didnt-have-proper-permissions-to-perform-this-change/

Associated revisions
Revision 87af9d6d - 2015-07-21 02:41 - Morton Jonuschat

[BUGFIX] Provide default value for field tt_content.filelink_sorting

Changing the field type for filelink_sorting to a text type that supports
a default value allows inserts into tt_content to succeed when no sorting
option was provided, fixing problems with MySQL strict mode.

Resolves: #67186
Resolves: #52206
Releases: master
Change-Id: Ie9a06fff14ec62c9cbc8d15cc957f5fcbe698393
Reviewed-on: http://review.typo3.org/41756
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Daniel Goerz <ervaude@gmail.com>
Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>
Tested-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

History
#1 - 2015-05-29 00:56 - Markus Klein

Strict mode is not supported.
https://git.typo3.org/Packages/TYPO3.CMS.git/blob_plain/refs/heads/TYPO3_6-2:/INSTALL.md
#2 - 2015-06-18 09:25 - Morton Jonuschat

MySQL BLOB and TEXT columns can not have default values: https://dev.mysql.com/doc/refman/5.6/en/blob.html

In that case it might make sense to replace tinytext with VARCHAR NOT NULL DEFAULT '', this should match how the field is being used according to
TCA.

#3 - 2015-07-20 14:56 - Riccardo De Contardi
- Category set to DBAL
- Target version set to 8

#4 - 2015-07-20 18:48 - Mathias Schreiber
- Parent task set to #68397

#5 - 2015-07-20 18:53 - Morton Jonuschat
- Assigned To set to Morton Jonuschat

#6 - 2015-07-20 20:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41756

#7 - 2015-07-20 22:39 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41756

#8 - 2015-07-21 02:43 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:87af9d6d7bfddc531d0a07541b0274d84cc07c11.
